%global momorel 1
%global srcname Rsibreak
%global artsver 1.5.6
%global artsrel 2m
%global qtver 3.3.7
%global kdever 3.5.6
%global kdelibsrel 6m
%global kdebaserel 2m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 62a62ff2f405461cfbf978484fb2d62c

Summary: A small utility which bothers you at certain intervals
Name: rsibreak
Version: 0.8.0
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.rsibreak.org/
Group: Amusements/Graphics
%NoSource 0 http://www.rsibreak.org/images/e/e0/%{srcname}-%{version}.tar.bz2 %{md5sum_src0}
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdebase >= %{kdever}-%{kdebaserel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: libXScrnSaver-devel
BuildPreReq: gettext

%description
RSIBreak is a small utility which bothers you at certain intervals. The
interval and duration of two different timers can be configured. You can
use the breaks to stretch out or do the dishes. The aim of this utility
is to let you know when it is time to have a break from your computer.
This can help people to prevent Repetive Strain Injury.

%prep
%setup -q

%patch0 -p1 -b .desktop~

# fix permission
chmod 644 AUTHORS COPYING* ChangeLog INSTALL NEWS TODO

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# make symlinks relative
pushd %{buildroot}%{_docdir}/HTML
for lang in da nl pt sv ; do
  if [ -d $lang ]; then
    cd $lang
    for i in *; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../docs/common $i
      fi
    done
    cd ..
  fi
done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING* ChangeLog INSTALL NEWS TODO
%{_bindir}/rsibreak
%{_datadir}/applications/kde/rsibreak.desktop
%{_datadir}/apps/rsibreak
%{_datadir}/autostart/rsibreak.desktop
%{_datadir}/doc/HTML/*/rsibreak
%{_datadir}/icons/*/*/*/rsibreak.png
%{_datadir}/locale/*/LC_MESSAGES/rsibreak.mo

%changelog
* Sun Apr  1 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.0-1m)
- initial package for Momonga Linux
